Bug 161087 - Problem with configure probing for serial ports during build.
Problem with configure probing for serial ports during build.
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: minicom (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-20 10:57 EDT by Andreas Thienemann
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 08:48:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2005-06-20 10:57:42 EDT
During a testbuild of minicom-2.00.0-19 in mock, the rebuild process
stops with the following error:

checking for default serial port device... configure: error: No suitable default
serial port
error: Bad exit status from /var/tmp/rpm-tmp.68348 (%build)

This bug is present in rawhide as well.

The problem stems from the fact that the configure script probes different
serial ports to see which one should be used by default.
This is problematic at best as it makes the build process unreproducible,
depending on the devices present on the buildhost.

A short discussion on #fedora-devel suggests the best way to deal with this
issue would be to pass /dev/modem or /dev/ttySx directly to the configure-script:

  --enable-dfl-port=DEVFILE  Set default /dev/.. modem device
                          (def: try common locations)
Comment 1 Martin Stransky 2005-07-15 08:48:19 EDT
fixed in rawhide - minicom-2.1

Note You need to log in before you can comment on or make changes to this bug.